Bug 205314 - (perl-Class-C3) Review Request: perl-Class-C3 - Pragma to use the C3 method resolution order algorithm
Review Request: perl-Class-C3 - Pragma to use the C3 method resolution order ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Class-C3/
:
Depends On: perl-Algorithm-C3
Blocks: FE-ACCEPT perl-Class-MOP
  Show dependency treegraph
 
Reported: 2006-09-05 19:28 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 19:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 19:28:46 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-C3-0.13-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-C3.spec

Description:
This is a pragma to change Perl 5's standard method resolution order from depth-
first left-to-right (a.k.a - pre-order) to the more sophisticated C3 method
resolution order.
Comment 1 Patrice Dumas 2006-09-07 03:56:58 EDT
There is a missing BuildRequires perl(Sub::Name) for a test 
t/33_next_method_used_with_NEXT.t.
And also certainly perl(UNIVERSAL::can) for t/01_MRO.t and
 t/30_next_method.t 

There is also a rpmlint warning which is certainly right:
E: perl-Class-C3 description-line-too-long This is a pragma to change Perl 5's
standard method resolution order from depth-
Comment 2 Chris Weyl 2006-09-07 16:22:13 EDT
Updated:

SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-C3-0.13-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-C3.spec

(also checked build in mock, now <grin>)
Comment 3 Patrice Dumas 2006-09-07 16:27:42 EDT
Why don't you BR perl(UNIVERSAL::can)?
Comment 4 Chris Weyl 2006-09-07 16:47:52 EDT
perl(UNIVERSAL::can) is both a module and a method; this code looks to build OK
with the can method supplied by perl(UNIVERSAL) in base.  (And more to point,
doesn't appear to 'use UNIVERSAL::can;' anywhere.)
Comment 5 Patrice Dumas 2006-09-07 17:49:55 EDT
Ok, you're right.

* rpmlint is silent
* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
95b52572a765b9d9103b264a15e323a1  Class-C3-0.13.tar.gz
* sane provides
Provides: perl(Class::C3) = 0.01
* %files right

APPROVED
Comment 6 Chris Weyl 2006-09-07 19:13:44 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+Request branching (FC-5)
+Close bug

Thanks for the review! :)
Comment 7 Chris Weyl 2007-04-19 16:41:09 EDT
Please branch for EL-4, EL-5.

Note You need to log in before you can comment on or make changes to this bug.